summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordavor <vorgrimmlerdavid@gmx.de>2014-10-16 18:01:15 +0200
committerdavor <vorgrimmlerdavid@gmx.de>2014-10-16 18:01:15 +0200
commitf71d410d63bba3d3a8d70cf452463687fff1d0b2 (patch)
treeebbb7af445622b372cf93c7baa1c86d873fbc7d5
parentbfd365eb17ec248eba2ed565e5efe1b30240d9c7 (diff)
Not using otcheck in otstart
-rw-r--r--ot-tools-user.sh18
1 files changed, 9 insertions, 9 deletions
diff --git a/ot-tools-user.sh b/ot-tools-user.sh
index f5e6366..e93f9c4 100644
--- a/ot-tools-user.sh
+++ b/ot-tools-user.sh
@@ -40,8 +40,8 @@ alias ottail='tail -f $HOME/.opentox/log/development.log'
start_unicorn() {
cd $HOME/opentox-ruby/$1
nice bash -c "nohup unicorn -p $2 >/dev/null 2>&1 &"
- sleep 0.5
- check_service $1 online
+# sleep 0.5
+# check_service $1 online
}
# Start 4Store
@@ -52,8 +52,8 @@ start_4s() {
nice bash -c "nohup $OT_PREFIX/4S/bin/4s-backend $1 >/dev/null 2>&1 &";
sleep 4;
nice bash -c "nohup $OT_PREFIX/4S/bin/4s-httpd -p $2 -s -1 $1 >/dev/null 2>&1 &"; #-D for testing
- sleep 1;
- check_service four_store online
+# sleep 1;
+# check_service four_store online
}
# Start the server
@@ -82,16 +82,16 @@ otstart() {
nice bash -c "nohup redis-server $OT_PREFIX/validation/redis-*/redis.conf >/dev/null 2>&1 &";;
"4store") start_4s opentox 9088;
if ! pgrep -u $USER 4s-backend>/dev/null 2>&1; then echo "Failed to start 4s-backend."; fi
- if ! pgrep -u $USER 4s-httpd>/dev/null 2>&1; then echo "Failed to start 4s-httpd."; fi;
- otcheck 4store;;
+ if ! pgrep -u $USER 4s-httpd>/dev/null 2>&1; then echo "Failed to start 4s-httpd."; fi;;
+ #otcheck 4store;;
"all") otstart 4store;
otstart dataset;
otstart model;
otstart task;
otstart algorithm; #compound and feature is included
- otstart validation;
- sleep 1;
- otcheck all;;
+ otstart validation;;
+ #sleep 1;
+ #otcheck all;;
*) echo "One argument required: [service_name] or 'all'";
echo "usage: otstart [all|algorithm|compound|dataset|feature|model|task|validation|4store]";
return 1;;